# Update a buy rental rate override Endpoint: PATCH /buy-rental-rate-overrides/{assignmentLevel}/{buy_rental_rate_override_id} Version: 1.21 Security: bearerAuth ## Path parameters: - `assignmentLevel` (string, required) Assignment level to be updated - CUSTOMER, SITE or INVENTORY Enum: "CUSTOMER", "SITE", "INVENTORY" - `buy_rental_rate_override_id` (integer, required) Buy rental rate override identifier Example: 1 ## Request fields (application/json-patch+json): - `op` (string, required) The JSON Patch operation to be performed Enum: "add", "remove", "replace", "move", "copy", "test" - `path` (string, required) A JSON-Pointer - `value` (object) The value to be used within the operations - `from` (string) A string containing a JSON Pointer value ## Response 200 fields (application/json): - `id` (integer) Buy rental rate override identifier Example: 1 - `assignmentLevel` (string) Optional - buy rate overrides can be assigned at customer, site or product inventory levels - use the appropriate level to determine which fields are required. If omitted this defaults to INVENTORY for backwards compatibility. Enum: "CUSTOMER", "SITE", "INVENTORY" - `customerId` (integer) Customer identifier - required when assignmentLevel is CUSTOMER. When the summary header is true it is also returned for INVENTORY level overrides; remove it before sending such an override back. Example: 1 - `siteId` (integer) Site identifier - required when assignmentLevel is SITE. When the summary header is true it is also returned for INVENTORY level overrides; remove it before sending such an override back. Example: 1 - `rentalProductId` (integer) Rental product identifier - required when assignmentLevel is CUSTOMER or SITE. When the summary header is true it is also returned for INVENTORY level overrides. Example: 1 - `rentalProductInventoryId` (integer) Rental product inventory identifier - required when assignmentLevel is INVENTORY (or omitted) Example: 1 - `rentalProductName` (string) Name of the rental product. Only populated when the summary header is true - `productCategoryId` (integer) Identifier of the rental product's product category. Only populated when the summary header is true - `productCategoryName` (string) Name of the rental product's product category. Only populated when the summary header is true - `siteName` (string) Name of the site, for SITE and INVENTORY level overrides. Only populated when the summary header is true - `mainBillingNumber` (string) Main billing number (CLI) of the rental product inventory, for INVENTORY level overrides. Only populated when the summary header is true - `serviceId` (string) Service id of the rental product inventory, for INVENTORY level overrides. Only populated when the summary header is true - `price` (number, required) Price - `rentalRatePriceType` (string, required) Rental price type - recurring rental or one off? Enum: "RENTAL", "ONEOFF" - `rentalRateType` (string) Rental rate type. Required when rentalRatePriceType is RENTAL Enum: "ADVANCE", "ARREARS" - `periodsInAdvance` (string) Number of periods in advance (i.e. Months) for rentals. Required when rentalRateType is ADVANCE Enum: "STANDARD", "ADVANCEDPLUSONEMONTH" - `rentalRateFrequency` (string) Frequency of rental. Required when rentalRatePriceType is RENTAL Enum: "DAILY", "WEEKLY", "MONTHLY", "YEARLY", "QUARTERLY", "SIXMONTHS", "TWENTYFOURMONTHS" - `startDate` (string, required) Start date - `endDate` (string) End date ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields